<script>
export default {
  name: 'GoogleCloudLogo',
};
</script>

<template>
  <svg width="100" height="95" viewBox="0 0 100 95" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      d="M59.8204 15.4497H61.9463L68.0057 9.3903L68.3028 6.81672C57.0251 -3.13867 39.8135 -2.0632 29.8581 9.21455C27.0921 12.3447 25.0876 16.0733 23.9912 20.1073C24.6649 19.8311 25.414 19.7851 26.117 19.9818L38.2359 17.9815C38.2359 17.9815 38.851 16.9604 39.1732 17.0232C44.5631 11.1018 53.6355 10.4114 59.8623 15.4497H59.8204Z"
      fill="#EA4335"
    />
    <path
      d="M76.6387 20.1073C75.2452 14.9768 72.387 10.3653 68.4115 6.8418L59.9082 15.3451C63.4987 18.2786 65.545 22.7018 65.4571 27.3384V28.8491C69.6377 28.8491 73.0273 32.2387 73.0273 36.4192C73.0273 40.5997 69.6377 43.9893 65.4571 43.9893H50.3168L48.8062 45.5209V54.6017L50.3168 56.1123H65.4571C76.329 56.196 85.2132 47.45 85.2969 36.5782C85.3471 29.9748 82.0956 23.7982 76.6387 20.1073Z"
      fill="#4285F4"
    />
    <path
      d="M35.157 56.0154H50.2971V43.8965H35.157C34.0773 43.8965 33.0144 43.6621 32.031 43.2144L29.9052 43.8755L23.8039 49.935L23.2725 52.0608C26.6913 54.647 30.8677 56.0363 35.157 56.0154Z"
      fill="#34A853"
    />
    <path
      d="M35.1564 16.7057C24.2805 16.7685 15.522 25.6359 15.5848 36.5119C15.6225 42.5838 18.4555 48.3001 23.272 51.9994L32.0514 43.2199C28.2434 41.5 26.5486 37.014 28.2685 33.206C29.9883 29.3979 34.4743 27.7031 38.2823 29.423C39.9603 30.1804 41.3036 31.5279 42.0652 33.206L50.8446 24.4265C47.1119 19.5388 41.3036 16.6806 35.1564 16.7057Z"
      fill="#FBBC05"
    />
    <path
      d="M6.966 90.3867C5.12367 90.4101 3.35303 89.6829 2.05944 88.3717C0.723421 87.1162 -0.0228786 85.3573 0.00053478 83.5237C-0.0214152 81.6902 0.724884 79.9327 2.05944 78.6757C3.34718 77.3514 5.11928 76.6095 6.966 76.6241C8.72493 76.6007 10.4209 77.2841 11.6721 78.5206L10.3492 79.8669C9.44343 78.9903 8.22593 78.5103 6.966 78.5279C5.64461 78.5118 4.3759 79.0518 3.47156 80.0147C2.5321 80.9468 2.01408 82.2228 2.03603 83.5457C2.02432 84.8539 2.54235 86.1109 3.47156 87.0328C5.3856 88.941 8.47177 88.9775 10.4312 87.1147C11.015 86.4767 11.3721 85.6631 11.4497 84.8027H6.98795V82.9003H13.3008C13.3622 83.2837 13.3871 83.6715 13.3754 84.0608C13.4544 85.6836 12.8662 87.2684 11.7467 88.4478C10.5014 89.7429 8.76298 90.4482 6.966 90.3867ZM21.6432 89.1224C19.8829 90.8096 17.1054 90.8096 15.3451 89.1224C14.4919 88.2956 14.0266 87.1498 14.0588 85.9631C14.0266 84.7763 14.4934 83.6305 15.3451 82.8038C17.1069 81.1209 19.8814 81.1209 21.6432 82.8038C22.4949 83.6305 22.9617 84.7763 22.9295 85.9631C22.9602 87.1513 22.4905 88.2971 21.6359 89.1224H21.6432ZM16.7352 87.8815C17.6439 88.8532 19.1687 88.9029 20.1404 87.9927C20.1784 87.9561 20.2165 87.9196 20.2516 87.8815C20.7477 87.3679 21.0155 86.6772 20.995 85.9631C21.0169 85.2475 20.7491 84.5524 20.2516 84.0373C19.3165 83.0628 17.7683 83.0291 16.7923 83.9642C16.7674 83.9876 16.7425 84.0125 16.7191 84.0373C16.2216 84.5524 15.9538 85.2475 15.9758 85.9631C15.9567 86.6772 16.2274 87.3693 16.7264 87.8815H16.7352ZM31.3232 89.1224C29.5628 90.8096 26.7854 90.8096 25.025 89.1224C24.1719 88.2956 23.7065 87.1498 23.7387 85.9631C23.7065 84.7763 24.1733 83.6305 25.025 82.8038C26.7854 81.1165 29.5628 81.1165 31.3232 82.8038C32.1749 83.6305 32.6417 84.7763 32.6095 85.9631C32.6431 87.1498 32.1763 88.2956 31.3232 89.1224ZM26.4166 87.8815C27.3254 88.8532 28.8502 88.9029 29.8218 87.9927C29.8599 87.9561 29.8979 87.9196 29.933 87.8815C30.4291 87.3679 30.6969 86.6772 30.6764 85.9631C30.6984 85.2475 30.4306 84.5524 29.933 84.0373C28.998 83.0628 27.4498 83.0291 26.4752 83.9642C26.4503 83.9876 26.4254 84.0125 26.402 84.0373C25.9045 84.5524 25.6367 85.2475 25.6586 85.9631C25.6396 86.6772 25.9103 87.3693 26.4093 87.8815H26.4166ZM37.6872 94.3567C36.7961 94.3845 35.9225 94.1065 35.2113 93.568C34.5802 93.0934 34.083 92.4631 33.7684 91.7388L35.463 91.0321C35.6474 91.4652 35.9356 91.8457 36.3029 92.1398C36.6951 92.4559 37.1882 92.6227 37.6931 92.6081C38.3399 92.6476 38.972 92.4032 39.4257 91.9393C39.8735 91.3993 40.0944 90.7057 40.0432 90.0063V89.3668H39.9759C39.4008 90.0487 38.5389 90.4204 37.6492 90.3706C36.521 90.3736 35.4425 89.9053 34.6757 89.077C33.8445 88.2561 33.385 87.1308 33.4041 85.9616C33.3836 84.7866 33.8431 83.6539 34.6757 82.8242C35.441 81.9931 36.5195 81.5204 37.6492 81.5233C38.1218 81.5219 38.5901 81.6272 39.0174 81.8277C39.3876 81.9887 39.7169 82.2301 39.9847 82.5345H40.052V81.8277H41.8958V89.7458C41.9938 91.0116 41.5665 92.2627 40.7134 93.2036C39.9013 93.9807 38.8111 94.3962 37.6872 94.3567ZM37.8219 88.6468C38.4643 88.6615 39.0803 88.3878 39.5018 87.9035C39.9598 87.3781 40.2027 86.6977 40.1778 85.9997C40.2056 85.29 39.9642 84.5978 39.5018 84.0593C39.0803 83.5735 38.4643 83.3013 37.8219 83.3159C37.1619 83.3028 36.5283 83.5735 36.082 84.0593C35.5903 84.5788 35.3225 85.2709 35.3386 85.985C35.324 86.6933 35.5903 87.3781 36.082 87.8888C36.5253 88.379 37.159 88.6556 37.8219 88.6468ZM45.1751 77.1231V90.1189H43.2347V77.1231H45.1751ZM50.4987 90.3867C49.3237 90.4175 48.1896 89.9565 47.3687 89.1151C46.536 88.281 46.0809 87.1411 46.1117 85.9631C46.0678 84.7822 46.5053 83.6335 47.3233 82.7803C48.0959 81.9667 49.1759 81.516 50.2968 81.538C50.8075 81.5321 51.3123 81.6316 51.7835 81.8277C52.2079 81.9989 52.5942 82.2521 52.9205 82.5711C53.2015 82.8418 53.4503 83.1432 53.6639 83.471C53.8366 83.7476 53.9829 84.0388 54.1029 84.3403L54.3034 84.8466L48.3564 87.2932C48.7252 88.1391 49.5754 88.6717 50.4973 88.6322C51.3884 88.6351 52.2152 88.1683 52.6762 87.4059L54.1629 88.4098C53.7836 88.9532 53.2977 89.4137 52.7347 89.7633C52.0674 90.1848 51.2889 90.4014 50.4987 90.3867ZM48.0154 85.8285L51.9708 84.1851C51.8494 83.8954 51.6313 83.6569 51.3533 83.5091C51.0431 83.3335 50.6919 83.2442 50.3348 83.2486C49.7305 83.2647 49.1554 83.5179 48.7369 83.9554C48.2291 84.4412 47.9642 85.1275 48.0154 85.8285Z"
      fill="#5F6368"
    />
    <path
      d="M64.4691 90.3872C61.0859 90.4457 58.2968 87.7503 58.2383 84.3671C58.2368 84.2851 58.2368 84.2017 58.2397 84.1197C58.1607 80.7365 60.8401 77.9313 64.2218 77.8523C64.3038 77.8508 64.3872 77.8508 64.4691 77.8508C66.1608 77.7982 67.7851 78.521 68.8782 79.8132L67.807 80.8536C67.0036 79.8424 65.7657 79.2761 64.4765 79.3288C63.2399 79.301 62.0444 79.7795 61.1679 80.6517C60.2562 81.5692 59.7689 82.8247 59.8216 84.1168C59.7675 85.4089 60.2562 86.6645 61.1679 87.582C62.0444 88.4556 63.2399 88.9326 64.4765 88.9048C65.9164 88.9209 67.2846 88.28 68.1933 87.1649L69.2645 88.2361C68.704 88.9063 68.0002 89.4419 67.2056 89.8048C66.3481 90.2028 65.413 90.4018 64.4691 90.3872Z"
      fill="#5F6368"
    />
    <path d="M72.1415 90.1195H70.6021V78.1113H72.1415V90.1195Z" fill="#5F6368" />
    <path
      d="M74.6546 82.8921C76.333 81.2254 79.0432 81.2254 80.7216 82.8921C81.5177 83.7336 81.9464 84.8574 81.9113 86.0149C81.9464 87.1724 81.5177 88.2962 80.7216 89.1376C79.0432 90.8044 76.333 90.8044 74.6546 89.1376C73.8585 88.2962 73.4298 87.1724 73.4649 86.0149C73.4298 84.8574 73.8571 83.7336 74.6546 82.8921ZM75.7989 88.1718C76.7838 89.2123 78.4256 89.2576 79.4675 88.2728C79.5026 88.2406 79.5363 88.2055 79.5685 88.1718C80.1114 87.5894 80.3982 86.8124 80.3645 86.0164C80.3997 85.2203 80.1129 84.4433 79.5685 83.8609C78.5837 82.8204 76.9418 82.7751 75.8999 83.7599C75.8648 83.7921 75.8311 83.8272 75.7989 83.8609C75.256 84.4433 74.9692 85.2203 75.0029 86.0164C74.9721 86.8109 75.2619 87.585 75.8062 88.1645L75.7989 88.1718Z"
      fill="#5F6368"
    />
    <path
      d="M90.4385 90.1194H88.9518V88.9824H88.9079C88.643 89.4141 88.2684 89.7682 87.8221 90.0082C87.3597 90.276 86.8329 90.4179 86.2973 90.4165C85.4164 90.4765 84.5574 90.1311 83.9633 89.48C83.3999 88.7673 83.1175 87.8732 83.1672 86.9674V81.9116H84.7067V86.685C84.7067 88.2171 85.3827 88.9824 86.7363 88.9824C87.3465 89.0014 87.9275 88.7249 88.2977 88.2391C88.6972 87.7342 88.9094 87.1064 88.9006 86.4626V81.9116H90.44V90.1194H90.4385Z"
      fill="#5F6368"
    />
    <path
      d="M95.6657 90.3872C94.6091 90.3901 93.6038 89.9321 92.9146 89.1302C92.1434 88.2785 91.7308 87.1635 91.7615 86.0148C91.7308 84.866 92.1434 83.751 92.9146 82.8993C93.6038 82.0989 94.6091 81.6394 95.6657 81.6423C96.251 81.6336 96.829 81.7711 97.3456 82.0433C97.8007 82.2716 98.1855 82.6184 98.4606 83.0471H98.5279L98.4606 81.9101V78.1113H100V90.1194H98.5133V88.9824H98.446C98.1709 89.4111 97.786 89.7579 97.3309 89.9862C96.8188 90.2555 96.2466 90.3945 95.6657 90.3872ZM95.9188 88.9824C96.6227 88.9926 97.2973 88.7 97.7699 88.179C98.2923 87.5834 98.5601 86.8064 98.5133 86.0148C98.5601 85.2246 98.2923 84.4461 97.7699 83.8505C96.8363 82.8232 95.2471 82.7486 94.2199 83.6837C94.1614 83.7364 94.1058 83.7934 94.0531 83.8505C93.5292 84.4417 93.2614 85.2172 93.3097 86.006C93.2614 86.7947 93.5292 87.5703 94.0531 88.1615C94.5272 88.6941 95.2076 88.9926 95.9188 88.9824Z"
      fill="#5F6368"
    />
  </svg>
</template>
